> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Entity summary statistics

This endpoint returns summary statistics for all the operators Rated has pre-materialized views on––commensurate to the output you might see on the Rated Network Explorer.

Here's how to interpret the inputs required to operate it 👇

| Parameter  | Context                                                                                                                                          |
| :--------- | :----------------------------------------------------------------------------------------------------------------------------------------------- |
| `window`   | The time window of aggregation. You might ask for `1d`, `7d`, `30d` or `All-time` data                                                           |
| `idType`   | The type of entity class you would like returned. You might ask for `pool`, `poolShare`, `nodeOperator`, `depositAddress` or `withdrawalAddress` |
| `size`     | The number of results included per page                                                                                                          |
| `parentId` | Specifying a pool or node operator so that the response is focused on the [Pool shares](/rated-api/glossary/ethereum/pool-shares)of said entity. |

For an endpoint that returns the same information, but only for a specified entity––rather than a list of entities, see [operator summary](/rated-api/api-reference/v0/ethereum/operators/get-operator-summary)


## OpenAPI

````yaml get /v0/eth/operators
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v0/eth/operators:
    get:
      tags:
        - Operators
      summary: Get Summaries
      operationId: get_summaries_v0_eth_operators_get
      parameters:
        - name: window
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/TimeWindow'
        - name: poolType
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/PoolType'
            default: all
        - name: idType
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/IdType'
            default: depositAddress
        - name: from
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: From
        - name: size
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            default: 15
            title: Size
        - name: parentId
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Parentid
        - name: parentEntity
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Use parentId
            deprecated: true
            title: Parententity
          description: Use parentId
          deprecated: true
        - name: X-Rated-Network
          in: header
          required: false
          schema:
            $ref: '#/components/schemas/Network'
            default: mainnet
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedOperatorEffectivenessSummary'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    TimeWindow:
      type: string
      enum:
        - 1d
        - 7d
        - 30d
        - all
      title: TimeWindow
    PoolType:
      type: string
      enum:
        - all
        - cex
        - lst
      title: PoolType
    IdType:
      type: string
      enum:
        - depositAddress
        - withdrawalAddress
        - nodeOperator
        - pool
        - poolShare
        - entity
        - validator
        - privateSet
      title: IdType
    Network:
      type: string
      enum:
        - mainnet
        - hoodi
        - holesky
      title: Network
    PaginatedOperatorEffectivenessSummary:
      properties:
        page:
          $ref: '#/components/schemas/api__schemas__page__Page'
        total:
          type: integer
          minimum: 0
          title: Total
        data:
          items:
            $ref: '#/components/schemas/OperatorEffectivenessSummary'
          type: array
          title: Data
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
      type: object
      required:
        - page
        - total
        - data
        - next
      title: PaginatedOperatorEffectivenessSummary
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    api__schemas__page__Page:
      properties:
        from:
          anyOf:
            - type: integer
            - type: string
              format: date
            - type: 'null'
          title: From
        to:
          anyOf:
            - type: integer
            - type: string
              format: date
            - type: 'null'
          title: To
        size:
          type: integer
          exclusiveMinimum: 0
          title: Size
          default: 10
        granularity:
          anyOf:
            - $ref: '#/components/schemas/GranularityEnum'
            - type: 'null'
        filterType:
          anyOf:
            - $ref: '#/components/schemas/FilterTypeEnum'
            - type: 'null'
      type: object
      title: Page
    OperatorEffectivenessSummary:
      properties:
        id:
          type: string
          title: Id
        idType:
          $ref: '#/components/schemas/IdType'
        timeWindow:
          $ref: '#/components/schemas/TimeWindow'
        validatorCount:
          type: integer
          minimum: 0
          title: Validatorcount
        avgCorrectness:
          type: number
          minimum: 0
          title: Avgcorrectness
        avgInclusionDelay:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Avginclusiondelay
        avgUptime:
          type: number
          minimum: 0
          title: Avguptime
        avgValidatorEffectiveness:
          type: number
          minimum: 0
          title: Avgvalidatoreffectiveness
        clientPercentages:
          items:
            $ref: '#/components/schemas/ClientPercentage'
          type: array
          title: Clientpercentages
        networkPenetration:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Networkpenetration
        relayerPercentages:
          items:
            $ref: '#/components/schemas/RelayerPercentage'
          type: array
          title: Relayerpercentages
        nodeOperatorCount:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Nodeoperatorcount
        operatorTags:
          items:
            $ref: '#/components/schemas/OperatorTag'
          type: array
          title: Operatortags
        displayName:
          anyOf:
            - type: string
            - type: 'null'
          title: Displayname
        aprPercentage:
          anyOf:
            - type: number
            - type: 'null'
          title: Aprpercentage
        sumEndEpochBalance:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Sumendepochbalance
        sumEndEpochEffectiveBalance:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Sumendepocheffectivebalance
      type: object
      required:
        - id
        - idType
        - timeWindow
        - validatorCount
        - avgCorrectness
        - avgInclusionDelay
        - avgUptime
        - avgValidatorEffectiveness
        - clientPercentages
        - networkPenetration
        - relayerPercentages
        - nodeOperatorCount
        - operatorTags
        - displayName
        - aprPercentage
        - sumEndEpochBalance
        - sumEndEpochEffectiveBalance
      title: OperatorEffectivenessSummary
      examples:
        - avgCorrectness: 0.9872805930783213
          avgInclusionDelay: 1.0209945048723401
          avgUptime: 0.9990847259025307
          avgValidatorEffectiveness: 96.65219797373126
          clientPercentages:
            - client: Prysm
              percentage: 0.8462792766083606
            - client: Nimbus
              percentage: 0.04797904931317324
            - client: Teku
              percentage: 0.034044866093487496
            - client: Lighthouse
              percentage: 0.07169680798497875
          displayName: '0xa40dfee99e1c85dc97fdc594b16a460717838703'
          id: '0xa40dfee99e1c85dc97fdc594b16a460717838703'
          idType: depositAddress
          networkPenetration: 0.07855633469653803
          operatorTags: []
          relayerPercentages: []
          sumEpochEndBalance: 320000000000000000000
          sumEpochEndEffectiveBalance: 320000000000000000000
          timeWindow: 1d
          validatorCount: 37361
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
    GranularityEnum:
      type: string
      enum:
        - hour
        - day
        - week
        - month
        - quarter
        - year
        - all
      title: GranularityEnum
    FilterTypeEnum:
      type: string
      enum:
        - hour
        - day
        - datetime
      title: FilterTypeEnum
    ClientPercentage:
      properties:
        client:
          type: string
          title: Client
        percentage:
          type: number
          minimum: 0
          title: Percentage
      type: object
      required:
        - client
        - percentage
      title: ClientPercentage
    RelayerPercentage:
      properties:
        relayer:
          type: string
          title: Relayer
        percentage:
          type: number
          minimum: 0
          title: Percentage
      type: object
      required:
        - relayer
        - percentage
      title: RelayerPercentage
      examples:
        - percentage: 0.00041296716911005574
          relayer: agnostic
    OperatorTag:
      properties:
        name:
          type: string
          title: Name
        path:
          anyOf:
            - type: string
            - type: 'null'
          title: Path
        idType:
          anyOf:
            - $ref: '#/components/schemas/IdType'
            - type: 'null'
      type: object
      required:
        - name
      title: OperatorTag
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````